SNMP::Info::Aggregate(3)

NAME
SNMP::Info::Aggregate - SNMP Interface to ifStackTable Aggregated Links

AUTHOR
SNMP::Info Developers

SYNOPSIS
 # Let SNMP::Info determine the correct subclass for you.
 my $info = new SNMP::Info(
                          AutoSpecify => 1,
                          Debug       => 1,
                          DestHost    => 'myrouter',
                          Community   => 'public',
                          Version     => 2
                        )
    or die "Can't connect to DestHost.\n";

 my $class = $info->class();
 print "SNMP::Info determined this device to fall under subclass : $class\n";

DESCRIPTION
This class provides access to Aggregated Links configuration on devices supporting "ifStackTable".

Use or create in a subclass of SNMP::Info. Do not use directly.

  Inherited Classes
SNMP::Info

  Required MIBs

IF-MIB

METHODS
"agg_ports_ifstack"
    Returns a HASH reference mapping from slave to master port for each member of a port bundle on the device. Keys are ifIndex of the slave ports, Values are ifIndex of the corresponding master ports.